This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 760366 - Packaging issues
Packaging issues
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: PyOpenGL (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Nikolay Vladimirov
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-Legal 760689
  Show dependency treegraph
 
Reported: 2011-12-05 17:07 EST by Matěj Cepl
Modified: 2011-12-26 14:19 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 760689 (view as bug list)
Environment:
Last Closed: 2011-12-06 14:10:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matěj Cepl 2011-12-05 17:07:47 EST
Description of problem:
I see couple of packaging problems here:

- according to OpenGL/DLLS/gle_COPYING this package is covered by alternate license, either GPLv2 or some kind of IBM license (I am not sure what kind of lincese it is, and whether it is allowed under Fedora Licensing Guidelines, it is certainly not http://www.opensource.org/licenses/ibmpl.php, which would be OK).
- quite certainly, at least this part of the package is not covered by BSD (which is what License claims), however, I suspect this package covers some other directories as well?
- this directory contains only binary compiled files (.DLL files), which is not allowed in src.rpms. You have to remove them modify tarball and remove them before uploading the src.rpm to Fedora.

Version-Release number of selected component (if applicable):
PyOpenGL-3.0.1-2
Comment 1 Nikolay Vladimirov 2011-12-05 17:50:09 EST
Thanks, I didn't notice the files. 

I'll remove the files from the tarball and push an update. 

Is there anything else I should do, like removing old builds or notifying someone to get rid of all the copies of this archive on fedora servers?
Comment 3 Fedora Update System 2011-12-05 18:49:07 EST
PyOpenGL-3.0.1-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/PyOpenGL-3.0.1-3.fc16
Comment 4 Fedora Update System 2011-12-05 18:50:42 EST
PyOpenGL-3.0.1-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/PyOpenGL-3.0.1-3.fc15
Comment 5 Fedora Update System 2011-12-05 18:58:22 EST
PyOpenGL-3.0.1-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/PyOpenGL-3.0.1-3.fc14
Comment 6 Nikolay Vladimirov 2011-12-05 19:07:36 EST
Looking at the build history and downloading the SRPMs
http://koji.fedoraproject.org/koji/packageinfo?packageID=1224

The DLLs were included for the 3.0.0 release around F12. I then made packages for F11, F10 as still supported releases around that time. 

I've updated the package to all sported releases and this bug will not be auto closed by any transition to stable. 

What next steps I can take to fully resolve this issue?
Comment 7 Matěj Cepl 2011-12-06 06:12:07 EST
(In reply to comment #1)
> Thanks, I didn't notice the files. 
> 
> I'll remove the files from the tarball and push an update. 
> 
> Is there anything else I should do, like removing old builds or notifying
> someone to get rid of all the copies of this archive on fedora servers?

It is not crucial but I am not exactly sure, which exactly files are covered by which license.

And yes, License tag is wrong. Package is quite certainly not governed exclusively by BSD.

I think you need to spend a moment to make sure you know what each file in the distribution is covered by and (if you won't find other disasters) fix License tag accordingly.
Comment 8 Nikolay Vladimirov 2011-12-06 08:01:37 EST
The licence.txt file documents all the licenses used in the source distribution. I saw no license headers in the .py files. 

However I'm not a lawyer and I have no idea how to handle all the custom licenses where no "BSD-style license" was specified in the license header. 

I'll go trough:
http://fedoraproject.org/wiki/Licensing:Main
http://fedoraproject.org/wiki/Packaging:LicensingGuidelines

And the license texts themselves so that I can figure out some adequate license tag for the spec file. 

However I have a somewhat demanding job and everyday stuff to do, and going trough and analyzing license texts is not extremely fun.

I'll most probably orphan the package in a few days if I can't manage to handle this.
Comment 9 Matěj Cepl 2011-12-06 14:10:18 EST
> However I'm not a lawyer and I have no idea how to handle all the custom
> licenses where no "BSD-style license" was specified in the license header. 

When the text of the license is same, it is the BSD license without regard it was used by somebody else than University of California, Berkeley.

> And the license texts themselves so that I can figure out some adequate license
> tag for the spec file. 

It actually seems that aside from OpenGL/DLLS/ (which you have removed), and OpenGL/Tk/ (which is not present already) everything else actually is BSD.

Closing as fixed in the RAWHIDE.
Comment 10 Fedora Update System 2011-12-26 14:18:25 EST
PyOpenGL-3.0.1-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2011-12-26 14:19:21 EST
PyOpenGL-3.0.1-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.